Loading...
Searching...
No Matches
QGpgME::GpgCardJob Class Referenceabstract
Inheritance diagram for QGpgME::GpgCardJob:
[legend]
Collaboration diagram for QGpgME::GpgCardJob:
[legend]

## Signals

void | result (const QString &std_out, const QString &std_err, int exitCode, const QString &auditLogAsHtml=QString(), const GpgME::Error &auditLogError=GpgME::Error())
Signals inherited from QGpgME::Job
void | jobProgress (int current, int total)
void | rawProgress (const QString &what, int type, int current, int total)
QGPGME_DEPRECATED void | progress (const QString &what, int current, int total)
void | done ()

## Public Member Functions

virtual GpgME::Error | start (const QStringList &cmds)=0
virtual GpgME::Error | exec (const QStringList &cmds, QString &std_out, QString &std_err, int &exitCode)=0
Public Member Functions inherited from QGpgME::Job
virtual QString | auditLogAsHtml () const
virtual GpgME::Error | auditLogError () const
bool | isAuditLogSupported () const
GpgME::Error | startIt ()
void | startNow ()

## Protected Member Functions

| GpgCardJob (QObject *parent)
Protected Member Functions inherited from QGpgME::Job
| Job (std::unique_ptr< JobPrivate >, QObject *parent)
| Job (QObject *parent)

## Additional Inherited Members

Public Slots inherited from QGpgME::Job
virtual void | slotCancel ()=0
Static Public Member Functions inherited from QGpgME::Job
static GpgME::Context * | context (Job *job)
Protected Attributes inherited from QGpgME::Job
const std::unique_ptr< JobPrivate > | d_ptr

## Member Function Documentation

## result

void QGpgME::GpgCardJob::result | ( | const QString & | std_out,
|  | const QString & | std_err,
|  | int | exitCode,
|  | const QString & | auditLogAsHtml = QString(),
|  | const GpgME::Error & | auditLogError = GpgME::Error() )

signal

The resulting stdout and stderr of gpgcard and the exitCode

The auditlog params are always null / empty.

## start()

virtual GpgME::Error QGpgME::GpgCardJob::start | ( | const QStringList & | cmds | ) |

pure virtual

Starts the operation. cmds are the commands to execute.

Implemented in QGpgME::QGpgMEGpgCardJob.

The documentation for this class was generated from the following files:

- gpgcardjob.h
- gpgcardjob.cpp